# Generated from eventioz-pdf-writer-1.2.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name eventioz-pdf-writer

Name: rubygem-%{gem_name}
Version: 1.2.4
Release: 1%{?dist}
Summary: A pure Ruby PDF document creation library
License: MIT
URL: http://github.com/eventioz/pdf-writer/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
pdf writer.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/techbook
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENCE
%{gem_instdir}/bin
%{gem_instdir}/bugs
%{gem_instdir}/demo
%{gem_instdir}/images
%{gem_libdir}
%{gem_instdir}/manual.pwd
%{gem_instdir}/metaconfig
%{gem_instdir}/pre-setup.rb
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/Demo-README
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/Release-Announcement
%{gem_instdir}/pdf-writer.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 1.2.4-1
- Initial package
